Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
error php56 mcrypt
$ brew install php56 php56-mcrypt
Warning: You are using OS X 10.12.
We do not provide support for this pre-release version.
You may encounter build failures or other breakages.
Please create pull-requests instead of filing issues.
==> Installing php56 from josegonzalez/php
==> Downloading https://php.net/get/php-5.6.25.tar.bz2/from/this/mirror
Already downloaded: /Users/fusco/Library/Caches/Homebrew/php56-5.6.25
==> ./configure --prefix=/usr/local/Cellar/php56/5.6.25_1 --localstatedir=/usr/local/var --sysconfdir=/usr/local/etc/php/5.6 --with-co
Last 15 lines from /Users/fusco/Library/Logs/Homebrew/php56/01.configure:
checking for Apache 1.x module support... no
checking whether to enable Apache charset compatibility option... no
checking for Apache 2.0 filter-module support via DSO through APXS... no
checking for Apache 2.0 handler-module support via DSO through APXS...
Sorry, I cannot run apxs. Possible reasons follow:
1. Perl is not installed
2. apxs was not found. Try to pass the path using --with-apxs2=/path/to/apxs
3. Apache was not built using --enable-so (the apxs usage page is displayed)
The output of /usr/sbin/apxs follows:
apxs:Error: /Applications/Xcode.app/Contents/Developer/Toolchains/OSX10.12.xctoolchain/usr/local/bin/apr-1-config not found!.
configure: error: Aborting
READ THIS: https://git.io/brew-troubleshooting
If reporting this issue please do so at (not Homebrew/brew):
https://github.com/josegonzalez/homebrew-php/issues
/usr/local/Library/Homebrew/utils/github.rb:212:in `raise_api_error': Validation Failed (GitHub::Error)
from /usr/local/Library/Homebrew/utils/github.rb:174:in `open'
from /usr/local/Library/Homebrew/utils/github.rb:219:in `issues_matching'
from /usr/local/Library/Homebrew/utils/github.rb:252:in `issues_for_formula'
from /usr/local/Library/Homebrew/exceptions.rb:312:in `fetch_issues'
from /usr/local/Library/Homebrew/exceptions.rb:308:in `issues'
from /usr/local/Library/Homebrew/exceptions.rb:353:in `dump'
from /usr/local/Library/Homebrew/brew.rb:130:in `rescue in <main>'
from /usr/local/Library/Homebrew/brew.rb:30:in `<main>'
@josephilipraja

This comment has been minimized.

Copy link

commented Oct 1, 2016

Am having same issue :(
Have you figured it out??

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.